PowerEasy 2006 Cross Site Scripting

2010-04-27T00:00:00
ID PACKETSTORM:88886
Type packetstorm
Reporter Liscker
Modified 2010-04-27T00:00:00

Description

                                        
                                            `  
PowerEasy is prone to an cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input.   
  
An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may allow the attacker to steal cookie-based authentication credentials and to launch other attacks.   
  
PowerEasy 2006 is vulnerable; other versions may also be affected Discuz!   
  
  
Home Page : http://www.powereasy.net   
  
  
  
i found a xss on "ComeUrl" parameter in "User_ChkLogin.asp" in PowerEasy 2006 , it's "/user/User_ChkLogin.asp?ComeUrl="   
  
  
for example:  
  
  
  
http://www.example.com:80/user/User_ChkLogin.asp?ComeUrl=" style="XSS:expression(alert(/liscker/))"  
  
  
  
  
  
Liscker  
2010.4.24   
`